<?xml version="1.0" encoding="UTF-8" ?> 

<!-- ***********************
	 ***** article.xsl *****
	 ***********************
	 
stylesheet for converting XML 1.0
papers to HTML 4.0 output
for MRS papers and others
follows article.dtd ver. 1.3 (1999-01-15) and biblist.dtd ver. 1.0 (1998-12-6)
Openly Informatics
Last Updated: 1999-5-4  
Author: Miles Poindexter

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

    Redistributions of source  must retain the above copyright
    notice, this list of conditions and the following disclaimer. 

    Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

    The names of the authors may not be used to endorse or promote
    products derived from this specification without specific prior written
    permission. 

    "efirst XML" is a Service Mark of Openly Informatics, Inc. The efirst
    name and logo may not be used to endorse or promote
    products derived from this specification without specific prior written
    permission of Openly Informatics, Inc.. 

THIS DOCUMENT TYPE DEFINITION IS PROVIDED ``AS IS'' AND ANY EXPRESS
OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 


-->


<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl" 

				xmlns="http://www.w3.org/TR/REC-html40" result-ns="">

<!--
*********** Constants and Macros ******************************
-->
<xsl:constant name="imagePath" value="images/" /> 


<!-- *********** start processing here *****************************  -->



<!--	*********************************
		***** Highest level element *****
		********************************* -->
  
<xsl:template match="article">


	<html><head>
	<!--  <base href="http://nsr.mij.mrs.org/1/10/Default.html" />  -->


	<link rel="stylesheet" type="text/css" href="article.css" title="efirst styles" />

	
	
	<xsl:if test="front/docCiteAs">
		<title><xsl:apply-templates select="front/docCiteAs"/></title>

	</xsl:if>
	
		<xsl:for-each select=".//meta">

		<meta name="{@name}" content="{@content}" />

	<xsl:text>
	</xsl:text>
		</xsl:for-each>
	
	

	</head>
	<xsl:text>
	</xsl:text>
	<body class="articleStyle">
	
	<div style="text-align: center">
	
	<xsl:text><!-- navbar border table --></xsl:text>
<table border="0" cellspacing="0" cellpadding="0" width="500">
	<tr>
		<td class="box" style="background-color: #AAAAAA">

<!-- navbar table -->
<table border="0" cellpadding="1" cellspacing="1" width="500" >
	<tr align="center">
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/3/">This Volume</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/indices/byauthor.html">Author Index</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/indices/keyword.html">Keyword Index</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/refs/refsearchform.html">Search</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/">This Journal</a></p>
		</td>
	</tr>
</table>

		</td>
	</tr>
</table>



	<a href="/"><img width="492" height="26" alt="MRS Internet Journal
of Nitride Semiconductor Research" src="/gifs/mij-nsr.banner.gif" /></a>


	</div>

	

<!-- ******************************************
	 *******    children of article     *******
	 ****************************************** -->

	<xsl:apply-templates select="front/cpyrt"/>
	<xsl:apply-templates select="front/title"/>
	<xsl:apply-templates select="front/authors"/>
	<xsl:apply-templates select="front/history[@event='received']"/>
	<xsl:apply-templates select="front/abstract"/>
	<xsl:apply-templates select="body"/>
	<xsl:apply-templates select="back"/>  	
	
	
	<xsl:text>

	
	</xsl:text>

	
<!--footer-->

<div style="text-align: center">
	
	<xsl:text><!-- navbar border table --></xsl:text>
<table border="0" cellspacing="0" cellpadding="0" width="500">
	<tr>
		<td class="box" style="background-color: #AAAAAA">

<!-- navbar table -->
<table border="0" cellpadding="1" cellspacing="1" width="500" >
	<tr align="center">
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/3/">This Volume</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/indices/byauthor.html">Author Index</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/indices/keyword.html">Keyword Index</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/refs/refsearchform.html">Search</a></p>
		</td>
		<td class="wbox" style="background-color: #eeeeee" width="100">
			<p class="cpyrtStyle"><a href="/">This Journal</a></p>
		</td>
	</tr>
</table>

		</td>
	</tr>
</table>


<xsl:text>
</xsl:text>

<a
href="/"><img width="492" height="26" alt="MRS Internet Journal of Nitride
Semiconductor Research" src="/gifs/mij-nsr.banner.gif" /></a>

</div>
	</body>
	</html>
    
</xsl:template>


<!-- ****************************
     ***** figures elements ***** 
	 **************************** -->
<!-- currently ignored:
	<table>
-->

<xsl:template match="/article//inlineGraphic">
	<xsl:choose>
	<xsl:when test="imgLive">
		<xsl:process-templates />
	</xsl:when>
	<xsl:when test="img">
		
		<img src="{img/@file}" width="{img/@sizeX}" height="{img/@sizeY}" alt="image" />
		
	</xsl:when>
	<xsl:otherwise>
		
		<img src="{imgAlt/@file}" width="{imgAlt/@sizeX}" height="{imgAlt/@sizeY}" alt="alternate" />
		
	</xsl:otherwise>
		
	</xsl:choose>
</xsl:template>
		

<xsl:template match="figures">
	<h3
class="figHeadStyle">Figures</h3>
	
	<xsl:for-each
select="figure | compoundFigure/figure">
	<xsl:text>

	</xsl:text>
	<br />
	<div id="{@id}"><xsl:text> </xsl:text>

	<table border="0"><tr><td><xsl:text> </xsl:text>
	<a
name="{@id}"></a><p class="figNameStyle" id="{@id}">Figure <xsl:value-of
select="@num" /></p><xsl:text> </xsl:text>
	<img src="{img/@file}" alt="{@id}" width="350" /><xsl:text> </xsl:text>
	</td><td style="text-valign: bottom"><xsl:text> </xsl:text>
	<p class="captionStyle"><xsl:apply-templates select="caption/p"/></p>

	</td></tr></table>
	</div>
	<hr /><br />
	</xsl:for-each>

	
</xsl:template>




<!--*************************
     ***** Text elements ***** 
	************************* -->

<!-- currently ignored:
	<simpInline>

	<compInline>
	<textElems>

-->



<!-- *****************************
     ***** children of front ***** 
	 ***************************** -->
     
<!-- currently ignored:

	<docCitePP>
	<erratum>
	<docIndex>
-->
     
<xsl:template match="title">
	<h2 class="titleStyle">
 		<xsl:apply-templates/>
	</h2>
</xsl:template>

<xsl:template match="subtitle">
	<h4 class="subtitleStyle">
 		<xsl:apply-templates/>
	</h4>
</xsl:template>


<xsl:template match="cpyrt">
	<p class="cpyrtStyle">
		<xsl:apply-templates/>

	</p>
</xsl:template>


<!-- ****************************
     ***** authors elements ***** 
     **************************** -->
<!--
currently ignored:
	<corpAuth>
	<aff>
	<authNote>
-->
<xsl:id attribute = "id" />

<xsl:template match="authors">
	<p class="authorsStyle">

	<xsl:for-each select="auth" >
	<a href="{./pn/meta/@content}"><xsl:apply-templates select="pn"/></a>

	<xsl:for-each select="xRef">
		<sup><xsl:value-of select="id(@target)/@num"/></sup>
	</xsl:for-each>
	
	<xsl:text>,&nbsp; </xsl:text>	
	
	</xsl:for-each>

	</p>

</xsl:template>


<!-- ****************************
     ***** history elements ***** 
     **************************** -->


<xsl:template match="history[@event='received']">
	
	<p class="historyStyle">
	(Received: <xsl:apply-templates select="./date"/><xsl:text>; </xsl:text> accepted <xsl:apply-templates select="../history[@event='accepted']"/>)
	</p>

	
</xsl:template>


<!-- ****************************
     ***** abstract element ***** 
     **************************** -->


<xsl:template match="abstract">
	<div class="abstractStyle">

	<h3 class="abstractHeadStyle">Abstract</h3>
		
	<xsl:apply-templates select="p"/>

	</div>
</xsl:template>



<!-- ****************************
 	 ***** children of body ***** 
     **************************** -->
<!--
currently ignored:
	<sidebar>
	<adorn>
-->

<!-- ***************************
     ***** section element ***** 
	 *************************** -->
	
<xsl:template match="body/section">

	<div id="{@id}"><a name="{@id}"></a>
	<h2 class="sectionHeadStyle"> <xsl:value-of select="@num"/><xsl:text>.  </xsl:text><xsl:apply-templates select="heading" />  </h2>

	<xsl:apply-templates select="p"/>
	
	

	
	<xsl:for-each select="./section">
	<div id="{@id}"><a name="{@id}"></a>
	
	<h3 class="sectionHeadStyle"> <xsl:value-of select="@num"/><xsl:text>.  </xsl:text><xsl:apply-templates select="heading" />  </h3>

	<xsl:apply-templates select="p"/>
	
	</div>
	</xsl:for-each>
	
	
	<xsl:for-each select="./section/section">	
	
	
	<div id="{@id}"><a name="{@id}"></a>
	
	<h4 class="sectionHeadStyle"> <xsl:value-of select="@num"/><xsl:text>.  </xsl:text><xsl:apply-templates select="heading" />  </h4>

	<xsl:apply-templates select="p"/>
	

	</div>
	</xsl:for-each>
		
	
	<xsl:for-each select="./section/section/section">
	<div id="{@id}"><a name="{@id}"></a>
	
	<h5 class="sectionHeadStyle"> <xsl:value-of select="@num"/><xsl:text>.  </xsl:text><xsl:apply-templates select="heading" />  </h5>

	<xsl:apply-templates select="p"/>

	</div>
	</xsl:for-each>

	</div>
		
	</xsl:template>
	
	
<xsl:template match="section/p">
	<p class="sectionStyle"><xsl:apply-templates/></p>
</xsl:template>	
	

<!-- ****************************
	 ***** children of back ***** 
     **************************** -->
<!--
currently ignored:
	<appendices>
	
	<bibliograpy>

	<tables><table>
	<supMatl>
	<dataFile>

	<dataStream>
	<slides>
-->

<xsl:template match="ack">
<div id="acknowledgments">
	<h2
class="ackHeadStyle">
	Acknowledgements
	</h2>
	<p
class="ackStyle">
	<xsl:apply-templates select="p"/>

	</p>
	</div>

</xsl:template>


<!-- **************************
     ***** notes elements ***** 
     ************************** -->

<xsl:template match="notes">
	<div id="Notes">
	<h3 class="noteHeadStyle">Notes</h3>

	<xsl:for-each select="note" >
		<xsl:text>
		</xsl:text>
			
		<xsl:choose>
		
		<xsl:when test="p/bib[@published = 'no']">
		
		<a name="{@id}"></a><p class="noteStyle" id="{@id}">
			<b>[<xsl:value-of select="@num" />] <xsl:text>    </xsl:text></b>
		
			<xsl:apply-templates select=".//bib.tagged"/>
			
			<xsl:if test=".//bib.link">
				<a href="{.//bib.link/@href}"><xsl:apply-templates select=".//bib.link"/></a>
			</xsl:if>
			</p>
			
		</xsl:when>
		
		<xsl:when test="p/bib">
		
		<a name="{@id}"></a><p class="noteStyle" id="{@id}">
			<b>[<xsl:value-of select="@num" />] <xsl:text>    </xsl:text></b>
		
				
		<xsl:for-each select="p">
			
			<xsl:apply-templates select=".//au"/><xsl:text>,  </xsl:text>
			<i><xsl:apply-templates select=".//jn"/></i><xsl:text>  </xsl:text>

			<b><xsl:apply-templates select=".//vol"/></b><xsl:text> </xsl:text>
			<xsl:apply-templates select=".//pp"/><xsl:text> </xsl:text>
			(<xsl:apply-templates select=".//yr"/>)<xsl:text> </xsl:text>
			
				<xsl:if test=".//bib.link">
					<a href="{.//bib.link/@href}"><xsl:apply-templates select=".//bib.link"/></a>
				</xsl:if>
		</xsl:for-each>	
			</p>
			
			</xsl:when>
			
			<xsl:otherwise>
			
			<a name="{@id}"></a><p class="noteStyle" id="{@id}">
			<b>[<xsl:value-of select="@num" />] <xsl:text>    </xsl:text></b>
		
			<xsl:apply-templates/>
			
			</p>
			</xsl:otherwise>
			</xsl:choose>
		
		
	</xsl:for-each>

	
	</div>
</xsl:template>



<!-- *******************************
     ***** block text elements ***** 
     ******************************* -->

<xsl:template match="/article//bq">
	<p class="blockQuote">
	<xsl:apply-templates/>

	</p>
</xsl:template>


<xsl:template match="/article//preformat">
	<pre>
	<xsl:apply-templates/>

	</pre>
</xsl:template>

<xsl:template match="list[@type='1']">
	<ol>
	<xsl:for-each select="item">
		<li><xsl:apply-templates select="p"/></li>

	</xsl:for-each>
	</ol>
</xsl:template>

<xsl:template match="list[@type='circle'] | list[@type='square'] | list[@type='dash']">
	<ul>

	<xsl:for-each select="item">
		<li><xsl:apply-templates select="p"/></li>
	</xsl:for-each>

	</ul>
</xsl:template>

<xsl:template match="list[@type='I']/item">
	<xsl:number format="I"/>
</xsl:template>

<xsl:template match="list[@type='i']/item">
	<xsl:number format="i"/>
</xsl:template>

<xsl:template match="list[@type='A']/item">
	<xsl:number format="A"/>
</xsl:template>

<xsl:template match="list[@type='a']/item">
	<xsl:number format="a"/>
</xsl:template>



<!-- ********************************
	 ***** inline text elements ***** 
     ********************************
-->

<!-- currently ignored:
	<ss>
	<tt>
	<lang>

	<defn>
-->

<xsl:template match="/article//small">
	<span class="small">
	<xsl:apply-templates/>

	</span>
</xsl:template>

<xsl:template match="/article//big">

	<span class="big">
	<xsl:apply-templates/>

	</span>
</xsl:template>

<xsl:template match="/article//b">

	<b>
	<xsl:apply-templates/>

	</b>
</xsl:template>

<xsl:template match="/article//i">

	<i>
	<xsl:apply-templates/>

	</i>
</xsl:template>

<xsl:template match="/article//u">

	<u>
	<xsl:apply-templates/>

	</u>
</xsl:template>

<xsl:template match="/article//o">

	<o>
	<xsl:apply-templates/>

	</o>
</xsl:template>

<xsl:template match="/article//sup">

	<sup>
	<xsl:apply-templates/>

	</sup>
</xsl:template>

<xsl:template match="/article//sub">

	<sub>
	<xsl:apply-templates/>

	</sub>
</xsl:template>


<!-- ****************************
	 *****  math elements  ****** 
     **************************** -->

<xsl:template match="/article//propInlinEq">
	<xsl:if test="@id">
	<a name="{@id}"></a>
	</xsl:if>
	<span class="propInlinEq"><xsl:apply-templates/></span>
</xsl:template>

<xsl:template match="/article//inlinEq">
	<xsl:if test="@id">
	<a name="{@id}"></a>
	</xsl:if>
	<span class="inlinEq"><xsl:apply-templates/></span>
</xsl:template>

<xsl:template match="/article//dispEq">
	<xsl:if test="@id">
	<a name="{@id}"></a>
	</xsl:if>
	<span class="dispEq"><xsl:apply-templates/></span>
</xsl:template>

<xsl:template match="/article//numEq">
	<xsl:if test="@id">
	<a name="{@id}"></a>
	</xsl:if>
	<table border="0" cellbuffer="3"><tr><td>
	<xsl:apply-templates/>
	</td><td valign="bottom"><xsl:value-of select="./@num"/>
	</td></tr></table>
	
</xsl:template>

<xsl:template match="/article//styledEq">
	<xsl:if test="@id">
	<a name="{@id}"></a>
	</xsl:if>
	<span class="styledEq"><xsl:apply-templates/></span>
</xsl:template>



<!-- ****************************************************************
     ***** Cross reference, linking, and bibliographic elements *****
	 ****************************************************************
-->

<xsl:template match="section//xRef">
	<a href="#{@target}"><xsl:value-of select="@text" /></a>
</xsl:template>


<xsl:template match="section//noteRef | notes//noteRef">
	<a href="#{@target}"><xsl:value-of select="@text" /></a>
</xsl:template>

<xsl:template match="/article//hlink">
	<a href="#{@target}"><xsl:value-of select="./@id"/></a>
</xsl:template>

<xsl:template match="/article//a">

	<a href="{@href}"><xsl:value-of select="./@id"/></a>
</xsl:template>

<xsl:template match="/article//anchor">
	<a name="{@id}"></a>

</xsl:template>



<!-- ************************************
	 ***** HTML style table support *****
	 ************************************ -->

<xsl:template match="htmlTable">
	<br/><table class="tableStyle" border="1" cellpadding="3">
	<xsl:apply-templates/>
	</table>
</xsl:template>

<xsl:template match="table/caption">
	<p class="captionStyle"><xsl:apply-templates/></p><br/>
</xsl:template>


	
<xsl:template match="tr">
	<tr class="tableStyle" align="{@align}" valign="{@valign}" colspan="{@colspan}" rowspan="{rowspan}">
	<xsl:apply-templates/>

	</tr>
</xsl:template>

	
<xsl:template match="th">
	<th class="tableHeadStyle" align="{@align}" valign="{@valign}" colspan="{@colspan}" rowspan="{rowspan}">
	<xsl:apply-templates/>

	</th>
</xsl:template>

<xsl:template match="td">
	<td class="tableStyle" align="{@align}" valign="{@valign}" colspan="{@colspan}" rowspan="{rowspan}">
	<p class="tableStyle"><xsl:apply-templates/></p>

	</td>
</xsl:template>


<xsl:template match="tn">
	<tn>
	<xsl:apply-templates/>

	</tn>
	<br/>
</xsl:template>	
	



</xsl:stylesheet >

